| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | List of all members
TCommandLineParameters Class Reference

The class to parse and store command line parameters. More...

`#include <CommandLineParameters.h>`

Collaboration diagram for TCommandLineParameters:
[legend]

## Public Member Functions
| TCommandLineParameters ()
| Constructor. More...
virtual | ~TCommandLineParameters ()
| Destructor.
std::string | GetInputFileName () const
| Get input file name.
std::string | GetOutputFileName () const
| Get output file name.
std::string | GetCheckpointFileName () const
| Get Checkpoint file name.
bool | IsBenchmarkFlag () const
| Is –benchmark flag set?
bool | IsVersion () const
| Is –version flag set?
size_t | GetBenchmarkTimeStepsCount () const
| Get benchmark time step count.
size_t | GetCompressionLevel () const
| Get compression level.
size_t | GetNumberOfThreads () const
| Get number of threads.
size_t | GetVerboseInterval () const
| Get verbose interval.
size_t | GetStartTimeIndex () const
| Get start time index when sensor data collection begins.
bool | IsCheckpointEnabled () const
| Is checkpoint enabled?
size_t | GetCheckpointInterval () const
| Get checkpoint interval.
bool | IsStore_p_raw () const
| Is –p_raw set?
bool | IsStore_p_rms () const
| Is –p_rms set?
bool | IsStore_p_max () const
| Is –p_max set?
bool | IsStore_p_min () const
| Is –p_min set?
bool | IsStore_p_max_all () const
| Is –p_max_all set?
bool | IsStore_p_min_all () const
| Is –p_min_all set?
bool | IsStore_p_final () const
| Is –p_final set?
bool | IsStore_u_raw () const
| Is –u_raw set?
bool | IsStore_u_non_staggered_raw () const
| Is –u_non_staggered_raw set?
bool | IsStore_u_rms () const
| Is –u_rms set?
bool | IsStore_u_max () const
| Is –u_max set?
bool | IsStore_u_min () const
| Is –u_min_all set?
bool | IsStore_u_max_all () const
| Is –u_max_all set?
bool | IsStore_u_min_all () const
| Is –u_min set?
bool | IsStore_u_final () const
| Is –u_final set?
bool | IsCopySensorMask () const
| is –copy_mask set
void | PrintUsageAndExit ()
| Print usage and exit. More...
void | PrintSetup ()
| Print setup. More...
void | ParseCommandLine (int argc, char **argv)
| Parse command line. More...

## Protected Member Functions
| TCommandLineParameters (const TCommandLineParameters &src)
| Copy constructor not allowed for public.
TCommandLineParameters & | operator= (const TCommandLineParameters &src)
| operator = not allowed for public.

## Private Attributes
std::string | InputFileName
| Input file name.
std::string | OutputFileName
| Output file name.
std::string | CheckpointFileName
| Checkpoint file name.
size_t | NumberOfThreads
| NumberOfThreads value.
size_t | VerboseInterval
| VerboseInterval value.
size_t | CompressionLevel
| CompressionLevel value.
bool | BenchmarkFlag
| BenchmarkFlag value.
size_t | BenchmarkTimeStepsCount
| BenchmarkTimeStepsCount value.
size_t | CheckpointInterval
| Checkpoint interval in seconds.
bool | PrintVersion
| PrintVersion value.
bool | Store_p_raw
| Store_p_raw value.
bool | Store_p_rms
| Store_p_rms value.
bool | Store_p_max
| Store_p_max value.
bool | Store_p_min
| Store_p_min value.
bool | Store_p_max_all
| Store_p_max_all value.
bool | Store_p_min_all
| Store_p_min_all value.
bool | Store_p_final
| Store_p_final value.
bool | Store_u_raw
| Store_u_raw value.
bool | Store_u_non_staggered_raw
| Store_u_non_staggered_raw value.
bool | Store_u_rms
| Store_u_rms value.
bool | Store_u_max
| Store_u_max value.
bool | Store_u_min
| Store_u_min value.
bool | Store_u_max_all
| Store_u_max_all value.
bool | Store_u_min_all
| Store_u_min_all value.
bool | Store_u_final
| Store_u_final value.
bool | CopySensorMask
| Copy sensor mask to the output file.
size_t | StartTimeStep
| StartTimeStep value.

## Static Private Attributes
static const size_t | DefaultCompressionLevel = 0
| Default compression level.
static const size_t | DefaultVerboseInterval = 5
| Default verbose interval.

## Detailed Description

The class to parse and store command line parameters.

Definition at line 198 of file CommandLineParameters.h.

## Constructor & Destructor Documentation

TCommandLineParameters::TCommandLineParameters | ( |  | ) |

Constructor.

Definition at line 67 of file CommandLineParameters.cpp.

## Member Function Documentation

void TCommandLineParameters::ParseCommandLine | ( | int | argc,
|  | char ** | argv
| ) |  |

Parse command line.

Parameters

  [in,out] | argc |
  [in,out] | argv |

Definition at line 203 of file CommandLineParameters.cpp.

Here is the call graph for this function:

void TCommandLineParameters::PrintSetup | ( |  | ) |

Print setup.

Definition at line 158 of file CommandLineParameters.cpp.

void TCommandLineParameters::PrintUsageAndExit | ( |  | ) |

Print usage and exit.

Definition at line 92 of file CommandLineParameters.cpp.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- Parameters/CommandLineParameters.h
- Parameters/CommandLineParameters.cpp